What are the minimum requirements for me to use the program on my device?

Internet

A high speed Internet service

 

Operating Systems

Windows 7, 8, 8.1, 10

Mac OSX 10.7+
(Please note your computer must have a working sound card)

Screen Resolution: 1024×768

 

Browsers

Windows: Internet Explorer 11, the latest version of Firefox, the latest version of Google Chrome and the latest version of safari. Microsoft Edge is not supported, there are possible issues with this browser.

Mac: Safari 9 or above, Firefox latest version, Google Chrome latest version

Flash Player: 21 or higher

*recent updates to many browsers will require you to ENABLE Adobe Flash*

This is usually done in the top left side of the URL bar.

Although we support all browsers listed, we recommend using Google Chrome for the best experience with LiteracyPlanet.

 

Tablets

iPad: Device must be on iOS 11 or higher. This is generally 

  • iPad, 5th generation and later;
  • iPad Mini 2 and later;

Android: Most android tablets with access to Google Play Store. Minimum Android version - 6.0, (7+ recommended)

The above are the minimum requirements to run LiteracyPlanet. Please ensure you use the latest possible version of applications in order to maximise your user experience

 

 

Comments